PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PSafeDictionary< K, D >::iterator_base Class Reference

`#include <safecoll.h>`

Inheritance diagram for PSafeDictionary< K, D >::iterator_base:
[legend]
Collaboration diagram for PSafeDictionary< K, D >::iterator_base:
[legend]

## Public Member Functions
bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Protected Member Functions
| iterator_base ()
| iterator_base (const dict_type *dict)
| iterator_base (const dict_type *dict, const K &key)
bool | SetPosition (PINDEX position)
void | Next ()
void | Prev ()

## Protected Attributes
K * | m_internal_first
value_type | m_internal_second
const dict_type * | m_dictionary
PArray< K > | m_keys
PINDEX | m_position

## Constructor & Destructor Documentation

template<class K , class D >

PSafeDictionary< K, D >::iterator_base::iterator_base | ( |  | ) |
| inline protected

template<class K , class D >

PSafeDictionary< K, D >::iterator_base::iterator_base | ( | const dict_type * | dict | ) |
| inline protected

References PSafeDictionary< K, D >::iterator_base::SetPosition().

template<class K , class D >

PSafeDictionary< K, D >::iterator_base::iterator_base | ( | const dict_type * | dict,
|  | const K & | key
| ) |  |
| inline protected

References PArrayObjects::GetValuesIndex(), PSafeDictionary< K, D >::iterator_base::m_keys, and PSafeDictionary< K, D >::iterator_base::SetPosition().

## Member Function Documentation

template<class K , class D >

void PSafeDictionary< K, D >::iterator_base::Next | ( |  | ) |
| inline protected

References PSafeDictionary< K, D >::iterator_base::m_position, and PSafeDictionary< K, D >::iterator_base::SetPosition().

Referenced by PSafeDictionary< K, D >::iterator::operator++(), and PSafeDictionary< K, D >::const_iterator::operator++().

template<class K , class D >

bool PSafeDictionary< K, D >::iterator_base::operator!= | ( | const iterator_base & | it | ) | const
| inline

References PSafeDictionary< K, D >::iterator_base::m_position.

template<class K , class D >

bool PSafeDictionary< K, D >::iterator_base::operator== | ( | const iterator_base & | it | ) | const
| inline

References PSafeDictionary< K, D >::iterator_base::m_position.

template<class K , class D >

void PSafeDictionary< K, D >::iterator_base::Prev | ( |  | ) |
| inline protected

References PSafeDictionary< K, D >::iterator_base::m_position, and PSafeDictionary< K, D >::iterator_base::SetPosition().

Referenced by PSafeDictionary< K, D >::iterator::operator--(), and PSafeDictionary< K, D >::const_iterator::operator--().

template<class K , class D >

bool PSafeDictionary< K, D >::iterator_base::SetPosition | ( | PINDEX | position | ) |
| inline protected

References PSafeDictionaryBase< Coll, Key, Base >::FindWithLock(), PArrayObjects::GetSize(), PSafeDictionary< K, D >::iterator_base::m_dictionary, PSafeDictionary< K, D >::iterator_base::m_internal_first, PSafeDictionary< K, D >::iterator_base::m_internal_second, PSafeDictionary< K, D >::iterator_base::m_keys, PSafeDictionary< K, D >::iterator_base::m_position, PSafeReference, and PSafePtrBase::SetNULL().

Referenced by PSafeDictionary< K, D >::iterator_base::iterator_base(), PSafeDictionary< K, D >::iterator_base::Next(), and PSafeDictionary< K, D >::iterator_base::Prev().

## Member Data Documentation

template<class K , class D >

const dict_type* PSafeDictionary< K, D >::iterator_base::m_dictionary
| protected

Referenced by PSafeDictionary< K, D >::iterator_base::SetPosition().

template<class K , class D >

K* PSafeDictionary< K, D >::iterator_base::m_internal_first
| protected

Referenced by PSafeDictionary< K, D >::iterator_base::SetPosition().

template<class K , class D >

value_type PSafeDictionary< K, D >::iterator_base::m_internal_second
| protected

Referenced by PSafeDictionary< K, D >::iterator_base::SetPosition().

template<class K , class D >

PArray<K> PSafeDictionary< K, D >::iterator_base::m_keys
| protected

Referenced by PSafeDictionary< K, D >::iterator_base::iterator_base(), and PSafeDictionary< K, D >::iterator_base::SetPosition().

template<class K , class D >

PINDEX PSafeDictionary< K, D >::iterator_base::m_position
| protected

Referenced by PSafeDictionary< K, D >::iterator_base::Next(), PSafeDictionary< K, D >::iterator_base::operator!=(), PSafeDictionary< K, D >::iterator_base::operator==(), PSafeDictionary< K, D >::iterator_base::Prev(), and PSafeDictionary< K, D >::iterator_base::SetPosition().

The documentation for this class was generated from the following file:

- safecoll.h